$(document).ready(function(){
		  $("#btnLocateMe").click(function(){


			findMyCurrentLocation();
		  });
});

function findMyCurrentLocation(){
	var geoService = navigator.geolocation;
	if (geoService) {
		navigator.geolocation.getCurrentPosition(showCurrentLocation,errorHandler);
	} else {
		$("#searchResults").html("আপনার ব্রাউজার জিওলোকেশন সাপোর্ট করছেনা ।");
	}
}

function showCurrentLocation(position){
	/*$("#searchResults").html("Your location details --> Current Latitude : " + position.coords.latitude + " , Longitude : " + position.coords.longitude);*/
	
	$.ajax({  
				 type: "POST",  
				 url: "http://ps.asholei.com/mobsvc/FSPS.php", 
				 data: "LAT="+position.coords.latitude+"&LONG="+position.coords.longitude,
				 beforeSend: function() {
					// setting a timeout
					$("#searchResults").html('<center><img src="images/ajax-loader.gif" /></center>');
				},
				 success: function(data) {  
				 if(data)
				 {

				 	// console.log(data);

				 	console.log(data + position.coords.latitude + position.coords.longitude);
					var LIST = jQuery.parseJSON(data);
					var object = LIST.contentlist;
					/////Variables/////
					var contentid=object[0].ContentId;
					var title=object[0].Title;
					var contact=object[0].Contact;
		
					var distance=object[0].Distance;
					// var latlong=object[0].LatLong.split(',');
					var clat=object[0].Lat;
					var clong=object[0].Long;
					var myhtml='<div style="text-align:center;font-size:17px"><b>'+title+'</b></div>'
					 		  +'<div>&nbsp;</div>'
							  +'<div><b>যোগাযোগ : </b></div>'
							  +'<div>&nbsp;</div>'
							  +'<div>'+contact+'</div>'
							  +'<div>&nbsp;</div>'
							 
							  
							  +'<div style="width:100%;overflow:hidden;"><a style="text-decoration:none" href="#" onClick=showmap('+clat+','+clong+')><span style="float:left;"><img src="images/mapicon.png" width="30"/></span><span style="float:left;padding:5px 0 0 5px;color:#000;font-weight:bold;font-size:16px">Show Map<span></a></div>'
							  +'<div>&nbsp;</div>'
							  +'<div><b>আনুমানিক দূরত্ব : '+distance+' মাইল</b></div>';
							  
					$("#searchResults").html(myhtml);
				 }
				 else
				 {
					 alert('কোন তথ্য পাওয়া যায়নি ।');
				 }
				
              } ,
			  error: function(jqXHR, textStatus, errorThrown)
			  {
  				alert("সমস্যা: আবার চেষ্টা করুন");   
			  }
			   
        });
	
}

function errorHandler(error){
	  $("#searchResults").html("আপনার অবস্থান নির্ণয়ে সমস্যা হচ্ছে, আবার চেষ্টা করুন।");
}